System.register(["src/client/ContextJS/src/contextjs.js"], function (_export, _context) {
  "use strict";

  var cop, __SystemJSRewritingHack, StableFocusLayer;
  return {
    setters: [function (_srcClientContextJSSrcContextjsJs) {
      cop = _srcClientContextJSSrcContextjsJs;
    }],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_stablefocus_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_stablefocus_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_stablefocus_js, "cop", {
        get() {
          return cop;
        },
        set(thisIsVererySecretVariableName) {
          cop = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      StableFocusLayer = cop.layer(window, "StableFocusLayer").refineObject(document.body, {
        focus() {
          // call a special focus that will call the native focus...
          return cop.withoutLayers([StableFocusLayer], () => {
            lively.focusWithoutScroll(this);
          });
        }
      }, {
        focus: {
          location: {
            file: 'no_file_given',
            end: {
              column: 2,
              line: 13
            },
            start: {
              column: 1,
              line: 8
            },
            source: ''
          },
          code: "focus() {\n\t // call a special focus that will call the native focus...\n   return cop.withoutLayers([StableFocusLayer], () => {\n\t  \tlively.focusWithoutScroll(this)\n  })\n }"
        }
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_stablefocus_js, "StableFocusLayer", {
        get() {
          return StableFocusLayer;
        },
        set(thisIsVererySecretVariableName) {
          StableFocusLayer = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      StableFocusLayer.beGlobal();
      _export("default", StableFocusLayer);
    }
  };
});